package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PayPacketEntryCollection extends AbstractObjectCollection 
{
    public PayPacketEntryCollection()
    {
        super(PayPacketEntryInfo.class);
    }
    public boolean add(PayPacketEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PayPacketEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PayPacketEntryInfo item)
    {
        return removeObject(item);
    }
    public PayPacketEntryInfo get(int index)
    {
        return(PayPacketEntryInfo)getObject(index);
    }
    public PayPacketEntryInfo get(Object key)
    {
        return(PayPacketEntryInfo)getObject(key);
    }
    public void set(int index, PayPacketEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PayPacketEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PayPacketEntryInfo item)
    {
        return super.indexOf(item);
    }
}